var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ReviewService } from '../../review.service';
var CommentComponent = (function () {
    function CommentComponent(_reviewService) {
        this.error = new EventEmitter();
        this.updateSelectedReview = new EventEmitter();
        this.accessToken = undefined;
        this.commentEmpty = false;
        this.isEditClicked = false;
        this._reviewService = _reviewService;
    }
    CommentComponent.prototype.onEdit = function (comment) {
        this.isEditClicked = true;
        this.selectedComment = comment;
        this.editedComment = comment.value.Comment;
    };
    CommentComponent.prototype.onSave = function () {
        var _this = this;
        if (this.editedComment) {
            var patchCommentBody = [
                {
                    value: {
                        UserInfo: this.selectedComment.value.UserInfo,
                        Comment: this.editedComment,
                        DateTime: this.selectedComment.value.DateTime,
                    },
                    path: '/Comments/' + this.selectedComment.key,
                    op: 'replace',
                },
            ];
            this._reviewService
                .patchReview(this.url, this.selectedReview.ReviewId, patchCommentBody, this.userInfo, this.accessToken)
                .subscribe(function (data) { return _this.updateSelectedReview.emit(data); }, function (error) { return _this.error.emit(error); });
            this.isEditClicked = false;
        }
        else {
            this.commentEmpty = true;
        }
    };
    CommentComponent.prototype.onCancel = function () {
        this.newComment = '';
        this.isEditClicked = false;
        this.commentEmpty = false;
    };
    CommentComponent.prototype.onComment = function () {
        var _this = this;
        if (this.newComment) {
            var postCommentBody = [
                {
                    value: {
                        UserInfo: this.userInfo,
                        Comment: this.newComment,
                    },
                    path: '/Comments',
                    op: 'add',
                },
            ];
            this._reviewService
                .patchReview(this.url, this.selectedReview.ReviewId, postCommentBody, this.userInfo, this.accessToken)
                .subscribe(function (data) { return _this.updateSelectedReview.emit(data); }, function (error) { return _this.error.emit(error); });
            this.newComment = '';
        }
        else {
            this.commentEmpty = true;
        }
    };
    return CommentComponent;
}());
__decorate([
    Output(),
    __metadata("design:type", Object)
], CommentComponent.prototype, "error", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], CommentComponent.prototype, "updateSelectedReview", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], CommentComponent.prototype, "selectedReview", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], CommentComponent.prototype, "userInfo", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], CommentComponent.prototype, "accessToken", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], CommentComponent.prototype, "url", void 0);
CommentComponent = __decorate([
    Component({
        moduleId: module.id,
        selector: 'comments',
        templateUrl: 'comment.component.html',
        styleUrls: ['comment.css'],
        providers: [ReviewService],
    }),
    __metadata("design:paramtypes", [ReviewService])
], CommentComponent);
export { CommentComponent };
//# sourceMappingURL=comment.component.js.map