var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Input, Component, Output, EventEmitter } from '@angular/core';
import { ReviewService } from '../../review.service';
var ScheduleDropdown = (function () {
    function ScheduleDropdown() {
        var _this = this;
        this.formSubmit = new EventEmitter();
        this.selectedReview = {
            "Comments": {}
        };
        this.currentDateTime = new Date();
        this.minDate = this.currentDateTime.toISOString().slice(0, 10);
        this.maxDate = new Date((new Date(this.currentDateTime)).setMonth(this.currentDateTime.getMonth() + 1)).toISOString().slice(0, 10);
        this.minTime = "00:00";
        setInterval(function () {
            _this.currentDateTime = new Date();
        }, 1000);
    }
    ScheduleDropdown.prototype.ngOnInit = function () {
        if (this.selectedReview.SubmissionTime) {
            this.tickSymbol = '\u2714';
            this.enteredDate = this.selectedReview.SubmissionTime.slice(0, 10);
            this.enteredTime = this.selectedReview.SubmissionTime.slice(11, 16);
            if (this.enteredDate.localeCompare(this.currentDateTime.toISOString().slice(0, 10)) == 0) {
                this.minTime = this.currentDateTime.toISOString().slice(11, 16);
            }
            else {
                this.minTime = "00:00";
            }
        }
    };
    ScheduleDropdown.prototype.onDropdownClick = function (e) {
        if (e.target.id !== "cancel") {
            e.stopPropagation();
        }
    };
    ScheduleDropdown.prototype.onScheduleSubmit = function () {
        var formData = this.enteredDate + "T" + this.enteredTime + ":00.000Z";
        if (formData.localeCompare(this.selectedReview.SubmissionTime) !== 0) {
            this.formSubmit.emit(formData);
        }
    };
    ScheduleDropdown.prototype.onDateInput = function (event) {
        this.enteredDate = event.target.value;
        if (this.enteredDate.localeCompare(this.currentDateTime.toISOString().slice(0, 10)) == 0) {
            this.minTime = this.currentDateTime.toISOString().slice(11, 16);
        }
        else {
            this.minTime = "00:00";
        }
    };
    ScheduleDropdown.prototype.onTimeInput = function (event) {
        this.enteredTime = event.target.value;
    };
    ScheduleDropdown.prototype.populateDate = function () {
        if (this.selectedReview.SubmissionTime)
            return this.selectedReview.SubmissionTime.slice(0, 10);
        else
            return "";
    };
    ScheduleDropdown.prototype.populateTime = function () {
        if (this.selectedReview.SubmissionTime)
            return this.selectedReview.SubmissionTime.slice(11, 16);
        else
            return "";
    };
    return ScheduleDropdown;
}());
__decorate([
    Input(),
    __metadata("design:type", Object)
], ScheduleDropdown.prototype, "selectedReview", void 0);
__decorate([
    Input(),
    __metadata("design:type", Boolean)
], ScheduleDropdown.prototype, "canSubmit", void 0);
__decorate([
    Input(),
    __metadata("design:type", Boolean)
], ScheduleDropdown.prototype, "canReview", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], ScheduleDropdown.prototype, "formSubmit", void 0);
ScheduleDropdown = __decorate([
    Component({
        selector: 'schedule-dropdown',
        templateUrl: 'schedule-dropdown.html',
        providers: [ReviewService],
        styleUrls: ['schedule-dropdown.css']
    }),
    __metadata("design:paramtypes", [])
], ScheduleDropdown);
export { ScheduleDropdown };
//# sourceMappingURL=schedule-dropdown.component.js.map