import { NgModule } from "@angular/core";
import {
  HttpModule,
  JsonpModule,
  XHRBackend
} from "@angular/http";
import { FormsModule } from "@angular/forms";
import { CommonModule } from '@angular/common';
import { MatTabsModule, MatSnackBarModule, MatCardModule, MatButtonModule } from '@angular/material';
import { ReviewService } from './review.service';
import { CommentComponent } from './lib/comment/comment.component';
import { ReviewList } from './lib/review-list/review-list.component';
import { ScheduleDropdown } from './lib/schedule-dropdown/schedule-dropdown.component';
import { ReviewComponent } from './review.component';
import { KeysPipe } from './pipes/keys-pipe.component';
import { SortByDatePipe } from './pipes/sort-by-date-pipe.component';
import { DatePipe } from './pipes/date-pipe.component';
import { ReviewHeaderComponent } from './lib/review-header/review-header.component';

@NgModule({
  imports: [CommonModule, FormsModule, HttpModule, MatTabsModule, MatSnackBarModule, MatCardModule, MatButtonModule,]
  ,
  declarations: [ReviewComponent, KeysPipe, CommentComponent, SortByDatePipe, ReviewList, ScheduleDropdown, ReviewHeaderComponent, DatePipe],
  providers: [ReviewService],
  exports: [ReviewComponent]
})
export class ReviewModule { }
