var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@angular/core';
import { Http, Headers, RequestOptions, URLSearchParams } from '@angular/http';
import 'rxjs/Rx';
var ReviewService = (function () {
    function ReviewService(http) {
        this.http = http;
    }
    ReviewService.prototype.setRequestOptions = function (userInfo, accessToken) {
        // set search params
        var params = new URLSearchParams();
        params.set('userInfo', userInfo);
        var header = new Headers();
        if (accessToken) {
            header.append('Authorization', 'Bearer ' + accessToken);
        }
        this.options = new RequestOptions({
            search: params,
            headers: header
        });
    };
    ReviewService.prototype.getReview = function (url, userInfo, status, limit, isNext, startkey, accessToken) {
        var header = new Headers();
        if (accessToken) {
            header.append('Authorization', 'Bearer ' + accessToken);
        }
        var options = new RequestOptions({
            search: new URLSearchParams("userInfo=" + userInfo + "&status=" + status + "&limit=" + limit + "&isNext=" + isNext + "&startkey=" + startkey),
            headers: header
        });
        return this.http.get(url, options).map(function (res) { return res.json(); });
    };
    ReviewService.prototype.patchReview = function (url, reviewId, body, userInfo, accessToken) {
        var requestURL = url + reviewId;
        this.setRequestOptions(userInfo, accessToken);
        return this.http
            .patch(requestURL, body, this.options)
            .map(function (res) { return res.json(); });
    };
    return ReviewService;
}());
ReviewService = __decorate([
    Injectable(),
    __metadata("design:paramtypes", [Http])
], ReviewService);
export { ReviewService };
//# sourceMappingURL=review.service.js.map