import { Injectable } from '@angular/core';
import {
  Http,
  Headers,
  Response,
  RequestOptions,
  URLSearchParams
} from '@angular/http';
import { Observable } from 'rxjs/Observable';
import { ReviewConfig } from './review.config';
import 'rxjs/Rx';

@Injectable()
export class ReviewService {
  http: Http;
  private options: RequestOptions;

  constructor(http: Http) {
    this.http = http;
  }

  setRequestOptions(userInfo: any, accessToken: string) {
    // set search params
    let params = new URLSearchParams();
    params.set('userInfo', userInfo);
    let header = new Headers();
    if (accessToken) {
      header.append('Authorization', 'Bearer ' + accessToken);
    }
    this.options = new RequestOptions({
      search: params,
      headers: header
    });
  }

  getReview(
    url: string,
    userInfo: any,
    status: string,
    limit: number,
    isNext: boolean,
    startkey: any,
    accessToken: string
  ) {
    const header = new Headers();
    if (accessToken) {
      header.append('Authorization', 'Bearer ' + accessToken);
    }
    const options = new RequestOptions({
      search: new URLSearchParams(
        `userInfo=${userInfo}&status=${status}&limit=${limit}&isNext=${isNext}&startkey=${startkey}`
      ),
      headers: header
    });
    return this.http.get(url, options).map((res: any) => res.json());
  }

  patchReview(
    url: string,
    reviewId: number,
    body: any,
    userInfo: any,
    accessToken: string
  ) {
    let requestURL = url + reviewId;
    this.setRequestOptions(userInfo, accessToken);
    return this.http
      .patch(requestURL, body, this.options)
      .map((res: any) => res.json());
  }
}
